<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.3.1/dist/css/bootstrap.min.css"
          integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <title>Add new car</title>
</head>
<style>
   body {
  background: url('https://cdn.thegentlemansjournal.com/wp-content/uploads/2018/08/tesla-header-2502x1200-c-center.jpg') no-repeat center center fixed;
  -webkit-background-size: cover;
  -moz-background-size: cover;
  background-size: cover;
  -o-background-size: cover;
}

</style>
<body>
<div class="container pt-5">
    <div class="container height-50 d-flex justify-content-center align-items-center p-5">
        <h1>Add new car</h1>
    </div>
    <div class="container-fluid d-flex justify-content-center align-items-center ">
        <div class="row bg-light shadow-sm p-2 border border-dark rounded">
            <form th:method="POST" th:action="@{/service/new_car}" th:object="${car}">
                <div class="form-group">
                    <label for="brand">Enter car brand</label>
                    <input type="text" class="form-control" th:field="*{carBrand}" id="brand"
                           aria-describedby="describBrand" placeholder="Enter car brand">
                    <div class="alert alert-warning" th:if="${#fields.hasErrors('carBrand')}"
                         th:errors="*{carBrand}"></div>
                    <small id="describBrand" class="form-text  text-warning">Please, enter car brand. For
                        example:
                        "Mercedes-benz or BMW".</small>
                </div>
                <div class="form-group">
                    <label for="model">Car model</label>
                    <input type="text" class="form-control" th:field="*{carModel}" id="model"
                           aria-describedby="describModel" placeholder="Enter car model">
                    <div class="alert alert-warning" th:if="${#fields.hasErrors('carModel')}"
                         th:errors="*{carModel}"></div>
                    <small id="describModel" class="form-text  text-warning">Please, enter car model. For
                        example:
                        "w211 for Mercedes-benz or e60 for BMW".</small>
                </div>
                <small class="form-text p-1">All fields are required.</small>
                <button type="submit" class="btn btn-primary btn-block">Add new car</button>
            </form>
        </div>
    </div>
</div>
<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
        integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
        crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/popper.js@1.14.7/dist/umd/popper.min.js"
        integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1"
        crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.3.1/dist/js/bootstrap.min.js"
        integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM"
        crossorigin="anonymous"></script>
</body>
</html>